Profile
curl --request GET \
--url https://api.superbox.ai/api/v1/auth/me \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"password": "<string>"
}
'import requests
url = "https://api.superbox.ai/api/v1/auth/me"
payload = {
"display_name": "<string>",
"password": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({display_name: '<string>', password: '<string>'})
};
fetch('https://api.superbox.ai/api/v1/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"local_id": "<string>",
"email": "<string>",
"display_name": "<string>",
"email_verified": true,
"disabled": true
}Auth API
Profile
Read, update, or delete the authenticated user account
GET
/
api
/
v1
/
auth
/
me
Profile
Get Profile
Endpoint
GET /api/v1/auth/me
Headers
string
required
Authorization: Bearer <id_token>Example Request
curl https://api.superbox.ai/api/v1/auth/me \
-H "Authorization: Bearer $ID_TOKEN"
const response = await fetch("https://api.superbox.ai/api/v1/auth/me", {
headers: { Authorization: `Bearer ${idToken}` },
});
const profile = await response.json();
import requests
response = requests.get(
"https://api.superbox.ai/api/v1/auth/me",
headers={"Authorization": f"Bearer {id_token}"},
)
profile = response.json()
Response (200)
string
Firebase user ID
string
Account email address
string
Display name (if set)
boolean
Whether the email has been verified
boolean
Whether the account is disabled
{
"local_id": "abc123def456",
"email": "user@example.com",
"display_name": "Your Name",
"email_verified": true,
"disabled": false
}
Update Profile
Endpoint
PATCH /api/v1/auth/me
Request Body
string
New display name
string
New password (minimum 8 characters)
Example Request
curl -X PATCH https://api.superbox.ai/api/v1/auth/me \
-H "Authorization: Bearer $ID_TOKEN" \
-H "Content-Type: application/json" \
-d '{"display_name": "New Name"}'
const response = await fetch("https://api.superbox.ai/api/v1/auth/me", {
method: "PATCH",
headers: {
Authorization: `Bearer ${idToken}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ display_name: "New Name" }),
});
response = requests.patch(
"https://api.superbox.ai/api/v1/auth/me",
headers={"Authorization": f"Bearer {id_token}"},
json={"display_name": "New Name"},
)
Delete Account
Endpoint
DELETE /api/v1/auth/me
Example Request
curl -X DELETE https://api.superbox.ai/api/v1/auth/me \
-H "Authorization: Bearer $ID_TOKEN"
Account deletion is permanent. All servers owned by the account must be deleted first.
Success Response (200)
{
"status": "success",
"message": "Account deleted"
}
⌘I